Skip to main content
POST
/
client
/
batch
/
create
Create a batch
curl --request POST \
  --url https://api.ship.uniuni.com/prod/client/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "batchName": "Monday Dropoff",
  "shipments": [
    "UNI02947917E"
  ]
}
'
{ "message": "Success", "code": 0, "data": { "batchNumber": "URB0717000000000837", "batchName": "Monday Dropoff", "status": "PENDING", "printedLabel": false, "createdAt": "2025-07-17T21:55:05.526Z", "updatedAt": "2025-07-17T21:55:05.697Z", "shipmentCount": 1 } }
Only purchased (paid) shipments can be added to a batch. Draft shipments will cause a 1002 error.

Authorizations

Authorization
string
header
required

API access token generated from the UniUni Platform dashboard.

Body

application/json
batchName
string

Name for the batch.

shipments
string[]

List of order numbers to include. Only purchased shipments can be added.

Response

200 - application/json

Batch created or error

message
string
required

Additional information about the request status.

code
integer
required

Status code. 0 indicates success.

data
object